import { createI18n } from "vue-i18n";
import type { SnowflakeProps } from "@/js/plugins/snowflake";

const props: SnowflakeProps = JSON.parse(atob(window.snowflake));

const i18n = createI18n({
  legacy: false,
  globalInjection: true,
  allowComposition: false,
  locale: props.i18n.locale,
  messages: { [props.i18n.locale]: { app: props.i18n.translations } },
});

export default i18n;
